import request from '@/utils/request'

export const HttpReq = {
  // 后台管理接口列表
  backstageApi: {
    // 上传营业执照图片
    uploadBusinessLicense: function(data) {
      return request({
        url: '/api/bsw/users/updateBusinessLicense',
        method: 'post',
        data: data
      }).then((res) => {
        return res
      })
    },
    deleteBusinessLicense: function(data) {
      return request({
        url: '/api/bsw/users/deleteBusinessLicense',
        method: 'delete',
        data: data
      }).then((res) => {
        return res
      })
    },
    // 获取行政区划
    findAreaByCodeAndType: function(param) {
      return request({
        url: '/api/bsw/users/findAreaByCodeAndType',
        method: 'get',
        params: param
      })
    },
    // 获取行政区划
    addCustomer: function(data) {
      return request({
        url: '/api/bsw/users/addCustomer',
        method: 'POST',
        data: data
      }).then((res) => {
        return res
      })
    }
  }
}

